{
  pkgs,
  config,
  lib,
  ...
}: {
  imports = [
    ./homeFiles.nix
    ./fish.nix
    ./starship.nix
    ./zellij.nix
    ./firefox.nix
    ./cli.nix
    ./mpv.nix
    ./ssh.nix
    ./keepassxc.nix
  ];
  services.syncthing = {
    enable = true;
    tray.enable = true;
  };

  services.gpg-agent = {
    enable = true;
    enableSshSupport = true;
    enableFishIntegration = true;
    pinentry.package = pkgs.kwalletcli;
    pinentry.program = "pinentry-kwallet";
    maxCacheTtl = 60480000;
    maxCacheTtlSsh = 60480000;
    defaultCacheTtl = 60480000;
    defaultCacheTtlSsh = 60480000;
  };
  nixpkgs = {
    config = {
      #allowUnfree = true;
      allowUnfreePredicate = pkg:
        builtins.elem (lib.getName pkg) [
          "vagrant"
        ];
    };
  };
}
